package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S6301对象 t_monthly_quality_report_s6301
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS6301 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 异戊二烯 */
    @Excel(name = "异戊二烯")
    private String ic5;

    /** 双环戊二烯 */
    @Excel(name = "双环戊二烯")
    private String dcpd;

    /** C5总量 */
    @Excel(name = "C5总量")
    private String c5;

    /** 碳五共轭双烯烃+双环戊二烯>=30 */
    @Excel(name = "碳五共轭双烯烃+双环戊二烯>=30")
    private String c5ConjugatedDienesDcpd30;

    /** 间戊二烯+环戊二烯 */
    @Excel(name = "间戊二烯+环戊二烯")
    private String pentadieneCycc5;

    /** 碳五共轭双烯烃+双环戊二烯>=40 */
    @Excel(name = "碳五共轭双烯烃+双环戊二烯>=40")
    private String c5ConjugatedDienesDcpd40;

    /** 总硫 */
    @Excel(name = "总硫")
    private String totalSulfur;

    /** 硅 */
    @Excel(name = "硅")
    private String silicon;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    /** 总硫<=150 */
    private String totalSulfur150;

    /** C4及C4以下组分含量 */
    private String c4;

    /** C4及C4以下组分含量<=10.00 */
    private String c410;

    /** C250 灵敏板T */
    private String c250;

    public String getC250() {
        return c250;
    }

    public void setC250(String c250) {
        this.c250 = c250;
    }

    public String getC4() {
        return c4;
    }

    public void setC4(String c4) {
        this.c4 = c4;
    }

    public String getC410() {
        return c410;
    }

    public void setC410(String c410) {
        this.c410 = c410;
    }

    public String getTotalSulfur150() {
        return totalSulfur150;
    }

    public void setTotalSulfur150(String totalSulfur150) {
        this.totalSulfur150 = totalSulfur150;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setIc5(String ic5)
    {
        this.ic5 = ic5;
    }

    public String getIc5()
    {
        return ic5;
    }
    public void setDcpd(String dcpd)
    {
        this.dcpd = dcpd;
    }

    public String getDcpd()
    {
        return dcpd;
    }
    public void setC5(String c5)
    {
        this.c5 = c5;
    }

    public String getC5()
    {
        return c5;
    }
    public void setC5ConjugatedDienesDcpd30(String c5ConjugatedDienesDcpd30)
    {
        this.c5ConjugatedDienesDcpd30 = c5ConjugatedDienesDcpd30;
    }

    public String getC5ConjugatedDienesDcpd30()
    {
        return c5ConjugatedDienesDcpd30;
    }
    public void setPentadieneCycc5(String pentadieneCycc5)
    {
        this.pentadieneCycc5 = pentadieneCycc5;
    }

    public String getPentadieneCycc5()
    {
        return pentadieneCycc5;
    }
    public void setC5ConjugatedDienesDcpd40(String c5ConjugatedDienesDcpd40)
    {
        this.c5ConjugatedDienesDcpd40 = c5ConjugatedDienesDcpd40;
    }

    public String getC5ConjugatedDienesDcpd40()
    {
        return c5ConjugatedDienesDcpd40;
    }
    public void setTotalSulfur(String totalSulfur)
    {
        this.totalSulfur = totalSulfur;
    }

    public String getTotalSulfur()
    {
        return totalSulfur;
    }
    public void setSilicon(String silicon)
    {
        this.silicon = silicon;
    }

    public String getSilicon()
    {
        return silicon;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("ic5", getIc5())
            .append("dcpd", getDcpd())
            .append("c5", getC5())
            .append("c5ConjugatedDienesDcpd30", getC5ConjugatedDienesDcpd30())
            .append("pentadieneCycc5", getPentadieneCycc5())
            .append("c5ConjugatedDienesDcpd40", getC5ConjugatedDienesDcpd40())
            .append("totalSulfur", getTotalSulfur())
            .append("silicon", getSilicon())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
